org.apache.avro.generic

## Interface GenericEnumSymbol<E extends GenericEnumSymbol<E>>

- All Superinterfaces:
    Comparable<E>, GenericContainer
  All Known Implementing Classes:
    GenericData.EnumSymbol, HandshakeMatch, TaskType

      public interface GenericEnumSymbol<E extends GenericEnumSymbol<E>>
      extends GenericContainer, Comparable<E>

  An enum symbol.

- - ### Method Summary

    All Methods Instance Methods Abstract Methods
    Modifier and Type | Method and Description
    --- | ---
    `String` | `toString()` Return the symbol.

    - ### Methods inherited from interface org.apache.avro.generic.GenericContainer

      `getSchema`

    - ### Methods inherited from interface java.lang.Comparable

      `compareTo`

- - ### Method Detail

    - #### toString

          String toString()

      Return the symbol.
      Overrides:
        `toString` in class `Object`

Copyright © 2009–2024 The Apache Software Foundation. All rights reserved.